import 'package:flutter/material.dart';
import 'package:google_maps_flutter/google_maps_flutter.dart';

class SetUpMarker {
  int id;
  int viewId;
  int statusData;
  String textValue;
  double latitude;
  double longitude;

  //information item show in card bottom
  String urlImage;
  String title;
  String address;
  double price;
  double area;
  List<Map<String, Object>> dsHinhAnh;

  //infor marker
  FontWeight fontWeight;
  Color textColor;
  Color backGroundColor;
  String iconUI;
  String iconSelected;
  double fontSize = 32;
  int tongBDS;
  EdgeInsets padding;

  bool selected = false;
  Marker ggMaker;
  Map<String, Object> data;

  LatLng getLatLng() {
    return LatLng(latitude, longitude);
  }

  SetUpMarker(
    this.data,
    this.id,
    this.textValue,
    this.latitude,
    this.longitude, {
    this.backGroundColor = Colors.white,
    this.fontSize = 32,
    this.iconUI = '',
    this.iconSelected = "",
    this.textColor = Colors.red,
    this.fontWeight = FontWeight.bold,
    this.padding = const EdgeInsets.symmetric(horizontal: 16, vertical: 8),
  });
}
